C++ Utilities: ChronoTests Class Reference

C++ Utilities 5.34.2 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ChronoTests Class Reference

The ChronoTests class tests classes and functions provided by the files inside the chrono directory. More...

Inheritance diagram for ChronoTests:
[legend]
Collaboration diagram for ChronoTests:
[legend]

## Public Member Functions
void | setUp ()
void | tearDown ()
void | testDateTime ()
| Tests most important DateTime features.
void | testDateTimeExpression ()
| Tests parsing a DateTimeExpression.
void | testTimeSpan ()
| Tests most important TimeSpan features.
void | testOperators ()
| Tests operators of DateTime / TimeSpan.
void | testPeriod ()
| Tests Period.
void | testHashing ()
| Tests hashing DateTime / TimeSpan by using in a set.

## Detailed Description

The ChronoTests class tests classes and functions provided by the files inside the chrono directory.

Remarks
  Before committing any changes to this test, run with different timezones to prevent mistakes like timezone-dependent checks. (Eg. set environment variable TZ to different values like 'UTC' or 'America/Los_Angeles'.)

Definition at line 70 of file chronotests.cpp.

## Member Function Documentation

## ◆ setUp()

void ChronoTests::setUp | ( |  | ) |
| inline

Definition at line 81 of file chronotests.cpp.

## ◆ tearDown()

void ChronoTests::tearDown | ( |  | ) |
| inline

Definition at line 84 of file chronotests.cpp.

## ◆ testDateTime()

void ChronoTests::testDateTime | ( |  | ) |

Tests most important DateTime features.

Definition at line 101 of file chronotests.cpp.

## ◆ testDateTimeExpression()

void ChronoTests::testDateTimeExpression | ( |  | ) |

Tests parsing a DateTimeExpression.

Checks for the parts in particular.

Definition at line 234 of file chronotests.cpp.

## ◆ testHashing()

void ChronoTests::testHashing | ( |  | ) |

Tests hashing DateTime / TimeSpan by using in a set.

Definition at line 416 of file chronotests.cpp.

## ◆ testOperators()

void ChronoTests::testOperators | ( |  | ) |

Tests operators of DateTime / TimeSpan.

Definition at line 376 of file chronotests.cpp.

## ◆ testPeriod()

void ChronoTests::testPeriod | ( |  | ) |

Tests Period.

Definition at line 396 of file chronotests.cpp.

## ◆ testTimeSpan()

void ChronoTests::testTimeSpan | ( |  | ) |

Tests most important TimeSpan features.

Definition at line 321 of file chronotests.cpp.

The documentation for this class was generated from the following file:

- tests/chronotests.cpp